%define upstream_name    WWW-Mechanize-FormFiller
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    WWW::Mechanize::FormFiller - framework to automate HTML forms
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Random) >= 0.50.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Form)
BuildRequires: perl(Test::More)
BuildRequires: perl-libwww-perl
BuildArch:  noarch

%description
WWW::Mechanize::FormFiller and its submodules are useful to automate
web forms. The FormFiller object is filled with a set of rules how to
fill out HTML form field and then let loose on a HTML form. It fills
in the fields according to the preset rules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# pod2test is gone in perl-Test-Inline
perl -pi -e "s|pod2test|/bin/true|g" Makefile.PL

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%dir %{perl_vendorlib}/WWW/Mechanize/FormFiller
%dir %{perl_vendorlib}/WWW/Mechanize/FormFiller/Value
%dir %{perl_vendorlib}/WWW/Mechanize/FormFiller/Value/Random
%{perl_vendorlib}/WWW/Mechanize/FormFiller.pm
%{perl_vendorlib}/WWW/Mechanize/FormFiller/*.pm
%{perl_vendorlib}/WWW/Mechanize/FormFiller/Value/*.pm
%{perl_vendorlib}/WWW/Mechanize/FormFiller/Value/Random/*.pm
%{_mandir}/*/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.120.0-4.mga8
+ Revision: 1506938
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.120.0-3.mga7
+ Revision: 1287250
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.120.0-2.mga7
+ Revision: 1167363
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 guillomovitch <guillomovitch> 0.120.0-1.mga7
+ Revision: 1157339
- new version 0.12

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-5.mga6
+ Revision: 1035750
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.110.0-4.mga6
+ Revision: 945794
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-3.mga5
+ Revision: 740435
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-2.mga5
+ Revision: 686843
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 sander85 <sander85> 0.110.0-1.mga5
+ Revision: 588974
- update to 0.11

* Fri Oct 18 2013 umeabot <umeabot> 0.100.0-4.mga4
+ Revision: 515936
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-3.mga3
+ Revision: 374735
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 jquelin <jquelin> 0.100.0-2.mga3
+ Revision: 326937
- adding missing buildrequires:

* Thu Jan 27 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 42028
- mageia rebuild
- imported package perl-WWW-Mechanize-FormFiller


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.100.0-1mdv2010.0
+ Revision: 401916
- rebuild using %%perl_convert_version

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdv2010.0
+ Revision: 370247
- update to new version 0.10

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.08-4mdv2009.0
+ Revision: 258791
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.08-3mdv2009.0
+ Revision: 246712
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - update to new version 0.08

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 0.06-1mdv2008.0
+ Revision: 20750
- 0.06


* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.05-3mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Thu Sep 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.05-2mdk
- Fix BuildRequires

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.05-1mdk
- initial Mandriva package

